//pngStitchFrame.h - png2ico frame class

#ifndef PNGSTITCHFRAME_H_
#define PNGSTITCHFRAME_H_

//used to include line numbers in Visual Studio's memory leak statements
#ifdef _DEBUG
#include <crtdbg.h>
#define DEBUG_NEW new(_NORMAL_BLOCK ,__FILE__, __LINE__)
#else
#define DEBUG_NEW new
#endif

#include "png.h"

#ifndef png_jmpbuf
#  define png_jmpbuf(png_ptr) ((png_ptr)->jmpbuf)
#endif

#define PNG_BYTES_TO_CHECK 4
#define hilevel 1

class pngStitchFrame : public wxFrame
{
  public:
	pngStitchFrame(const wxChar *title, int xpos, int ypos, int width, int height);

	~pngStitchFrame();

	void OnSize(wxSizeEvent& event);

	void OnLoad(wxCommandEvent &event);
	void OnUp(wxCommandEvent &event);
	void OnDown(wxCommandEvent &event);
	void OnDelete(wxCommandEvent &event);
	void OnReverse(wxCommandEvent &event);
	void OnSave(wxCommandEvent &event);
	void OnDoIt(wxCommandEvent &event);

  private:
	DECLARE_EVENT_TABLE();

	wxArrayString InputFiles;

	wxButton *Load;
	wxButton *Up;
	wxButton *Down;
	wxButton *Delete;
	wxButton *Reverse;

	wxListBox *Images;

	wxTextCtrl *OPFilePath;
	wxButton *GetOPFilePath;
	wxButton *DoIt;

	wxFileDialog *LoadDlg;
	wxFileDialog *SaveDlg;

	enum
	{
		LOAD,
		ADD,
		UP,
		DOWN,
		DELETEFILES,
		REVERSE,
		IMAGES,
		GETOPFILEPATH,
		DOIT,
	};
};

#endif
